/*
 Daybo Logic Standard Inclusions
 Copyright (C) 1998-2006 Daybo Logic.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the project nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

  --------------------------------------------------------
  | C Boolean include incase Windows does not define     |
  | BOOL/FALSE/TRUE                                      |
  |                                                      |
  | 14th December 2003: Note that since this header was  |
  | created in 1998, the ANSI C 1999 standard (C99)      |
  | was released.  This doesn't obsolete the BOOL type   |
  | because 'bool' for C is a minimum of a byte but      |
  | could be larger and thus cannot be relied upon for   |
  | passing fixed width parameters to libraries.         |
  | I welcome the use of 'bool' but not in headers       |
  | which may be used for DLLs etc.  We also now include |
  | stdbool.h or a private replacement (depending on     |
  | whether HAVE_STDBOOL_H has been defined by the local |
  | configure script.                                    |
  --------------------------------------------------------
*/

#ifndef INC_DLSTDINC_CBOOLEAN_H
#define INC_DLSTDINC_CBOOLEAN_H
/*---------------------------------------------------------------*/
#ifndef _WINDEF_

#ifndef BOOL
  typedef int BOOL;
#endif

#ifndef TRUE
#  define TRUE (1)
#endif

#ifndef FALSE
#  define FALSE (0)
#endif

#endif /*_WINDEF_*/

#ifndef __cplusplus /* C (stdbool.h incompatible with ISO C++) */
# ifdef HAVE_STDBOOL_H
#  include <stdbool.h>
# else
#  include "dlstdinc_stdbool.h" /* My stdbool.h replacement */
# endif /*HAVE_STDBOOL_H*/
#endif /*!__cplusplus*/

/* Another type of boolean */
#if (!defined(YESNO_T))
  typedef unsigned int yesno_t;
# define YES (1U)
# define NO (0U)
# define YESNO_T
#endif
/*--------------------------------------------------------------*/
#endif /*!INC_DLSTDINC_CBOOLEAN*/
