/*
 Daybo Logic Standard Inclusions
 Copyright (C) 1998-2006 Daybo Logic.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the project nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

Borland's compiler has the macros __DATE__ and __TIME__ built into the
compiler (no header to include), these are replaced by the compiler
by the current date or time when that instance of the macro was compiled.
Using these macros is usually dangerous for portability because I don't
think every compiler is garunteed to do this.  Therefore to ensure code
compiles, include this header at the top of every file which uses the
macros and I'll replace the macros with dummies to make it compile even
though the macros won't do their normal job.  Safe.

For the macros __FILE__ and __LINE__ read dlstdinc_fileline.h
*/

#ifndef INC_DLSTDINC_DATETIME_H
#define INC_DLSTDINC_DATETIME_H
/* $Id: dlstdinc_datetime.h,v 0.2 2006/02/18 08:03:00 ddrp Stab $ */
/*-------------------------------------------------------------------------*/
#ifndef __DATE__
#  define __DATE__ "[No support at compilation]"
#endif

#ifndef __TIME__
#  define __TIME__ "[time unknown]"
#endif
/*-------------------------------------------------------------------------*/
#endif /*!INC_DLSTDINC_DATETIME_H*/
