/*
 Daybo Logic Standard Inclusions
 Copyright (C) 1999-2006 Daybo Logic.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the project nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

  More limits (add on to LIMITS.H of ANSI C), following the same
  constant convention.

  by David Duncan Ross Palmer of Daybo Logic
*/

#ifndef INC_DLSTDINC_MORELMTS_H
#define INC_DLSTDINC_MORELMTS_H
/*-------------------------------------------------------------------------*/
#include <limits.h> /* Include the LIMITS.H file */
/*
  Use stdio.h for the FILENAME_MAX which is not created here because
  of STDIO
*/
#include <stdio.h>
/*-------------------------------------------------------------------------*/
#define PATHNAME_MIN        2
#define DIRNAME_MIN         1
#define _FILENAME_MIN       1
#define FILEXT_MIN          0
/*-------------------------------------------------------------------------*/

#if !defined(__FLAT__) /* Segmented architiecture? */
/*-------------------------------------------------------------------------*/
#define PATHNAME_MAX        80
#define DIRNAME_MAX         66
/* uses FILENAME_MAX from stdio */
#define FILEEXT_MAX         5

#else /* Flat memory model ? */

#define PATHNAME_MAX        260
#define DIRNAME_MAX         256
/* uses FILENAME_MAX from stdio */
#define FILEEXT_MAX         256
/*-------------------------------------------------------------------------*/
#endif /*!__FLAT__*/

/* Add more after this point in the future */
/*-------------------------------------------------------------------------*/
#endif /*!INC_DLSTDINC_MORELMTS_H*/
