/*
  Header from the PC INTERN book
  System Programming in practice

  WARNING! If you are going to include Windows.H anywhere in your translation
  unit, do so before this header or types are wrong.

  The file has been severly mutilated by David Duncan Ross Palmer for
  portability.  Revision --->("9")<---
*/

#ifndef _WINDEF_ /* This header is dangerous if Windows is included */

  #ifndef INC_PCINTERN_H /* Not defined already? */
    #define INC_PCINTERN_H /* Define header */

    #include <limits.h>

    #ifdef __TURBOC__                             /* Turbo C compiler? */
      #define PCINTERN_DIRSTRUCT                   struct ffblk
      #define PCINTERN_FINDFIRST(path, buf, attr)  findfirst(path, buf, attr)
      #define PCINTERN_FINDNEXT(buf)               findnext(buf)
      #define PCINTERN_NAME                        ff_name
      #define PCINTERN_ATTRIBUTE                   ff_attrib
      #define PCINTERN_TIME                        ff_ftime
      #define PCINTERN_DATE                        ff_fdate
      #define PCINTERN_SIZE                        ff_fsize
    #else
      #define PCINTERN_DIRSTRUCT                   struct find_t

      #define PCINTERN_FINDFIRST(path, buf, attr) \
        _dos_findfirst(path, attr, buf)

      #define PCINTERN_FINDNEXT(buf)               _dos_findnext(buf)
      #define PCINTERN_NAME                        name
      #define PCINTERN_ATTRIBUTE                   attrib
      #define PCINTERN_TIME                        wr_time
      #define PCINTERN_DATE                        wr_date
      #define PCINTERN_SIZE                        size
    #endif /* Turbo C */


    #if (!defined(UINT_T) && !defined(UINT))
      typedef unsigned int UINT;
    # define UINT_T
    #endif

    #if (!defined(ULONG_T) && !defined(ULONG))
      typedef unsigned long ULONG;
    # define ULONG_T
    #endif

    #if (!defined(USHORT_T) && !defined(USHORT))
      typedef unsigned short USHORT;
    # define USHORT_T
    #endif

    #if (!defined(BYTE_T) && !defined(BYTE))
      typedef unsigned char BYTE;
    # define BYTE_T
    #endif

    #if (!defined(WORD_T) && !defined(WORD))
      typedef unsigned short WORD;
    # define WORD_T
    #endif

    #if (!defined(DWORD_T) && !defined(DWORD))
    # ifndef ULONG_MAX
    #   error ("Must have an ANSI compliant limits.h")
    # else
    #   if ( ULONG_MAX > 0xFFFFFFFFUL ) /* 64-bit */
          typedef unsigned int DWORD;
    #   else
          typedef unsigned long DWORD;
    #   endif
    # endif
    # define DWORD_T
    #endif


    /* Structure definitions */
    /* (none) */

  #endif /* Header definition */

#endif /*_WINDEF_*/
