/*
$Id: dlstdinc_stdbool.h,v 0.2 2006/02/18 06:25:00 ddrp Stab $

Daybo Logic Standard Inclusions
Copyright (C) 2001-2006 Daybo Logic.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. Neither the name of the project nor the names of its contributors
   may be used to endorse or promote products derived from this software
   without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/
/*
  This is not the normal BOOL which I use, this is a direct replacement
  for the ANSI C99 'bool' keyword if the system doesn't have stdbool.h yet

  - DDRP <daybologic.co.uk/mailddrp>
*/

#ifndef __STDBOOL_H__
#define __STDBOOL_H__ 1
/*-------------------------------------------------------------------------*/
/*
  ANSI/ISO C++ says that bool, true & false are keywords.  That means
  we can't touch them, they're keywords, we would be grilled alive for
  an imortal offence to the nation!  Treason!  Unfortunately, old C++
  (non-standard), didn't have the bool keyword and there's no way we can
  tell if this version of C++ conforms, if C++ is being used we shall
  not do any of this unless CPP_NO_bool_SUPPORT is defined.  You'll need
  to do this in a Makefile or a config.h where tests have been done on
  the compiler.  An autoconfigurator etc.
*/

#ifndef __bool_true_false_are_defined

#if ( !defined(__cplusplus) || ( defined(__cplusplus) && defined(CPP_NO_bool_SUPPORT) ) )
typedef enum {
  false = 0,
  true = 1
} bool;

/* I think these are so that people can test if they're defined */
#define true true
#define false false

#endif /* __cplusplus) || (__cplusplus && CPP_NO_bool_SUPPORT) */

#define __bool_true_false_are_defined (1)   /* I think ANSI requires this too */

#endif /*!__bool_true_false_are_defined*/
/*-------------------------------------------------------------------------*/
#endif /*!__STDBOOL_H__*/
