#ifndef __INC_DLSTDINC_VOIDPTR_H
#define __INC_DLSTDINC_VOIDPTR_H

#include "dlstdinc_farptr.h" /* FAR */

/* Void pointer macro abstractions by Overlord David Duncan Ross Palmer
at Daybo Logic.  (C)1999 Daybo Logic, all rights reserved.

Created: 5th December 1999 22:41 GMT */

#if (! defined(_WINDEF_) && ! defined(_WINNT_))

  /* Boring VOID to abstract from void, rarely used except for here */
# ifndef VOID
#    define VOID void
# endif /*!VOID*/

  /* Default void pointer */
# ifndef PVOID
    typedef VOID* PVOID;
# endif /*!PVOID*/

  /* Const default void pointer */
# ifndef PCVOID
    typedef const VOID* PCVOID;
# endif /*!PCVOID*/

  /* Far void pointer (LPVOID/LPCVOID) */
#  ifndef LPVOID
#    ifdef __FLAT__ /* Flat address space, no segmentation? */
     /* There can be no far pointers, map to ordinary pointer */
     typedef PVOID LPVOID;
#  else /* Segmentation */
     typedef FAR PVOID LPVOID; /* Explicit far pointer */
#  endif /*__FLAT__*/
# endif /*!LPVOID*/

#endif /*!_WINDEF_*/

#endif /*!__INC_DLSTDINC_VOIDPTR_H*/
